Function
extendSeedsScore
Extension of seeds with score calculation.
extendSeedsScore(container, scores, query, database, direction, MatchExtend)
extendSeedsScore(begin, end, itScore query, database, direction, MatchExtend)
extendSeedsScore(container, scores, scoreDropOff, scoreMatrix, query, database, direction, tag)
extendSeedsScore(begin, end, itScores, scoreDropOff, scoreMatrix, query, database, direction, tag)
Include Headers
seqan/seeds.h
Parameters

container | The container with the Seed objects to extend. Types: Container
scores | A container with the scores of the seeds. The scores will be increased by the score of the extension. It can be omitted if the seeds container is a SeedSet with scores. Types: Container
itScore | Iterator pointing to the first seeds score. The scores will be increased by the score of the extension.
begin | Iterator pointing to the first value to add.
end | Iterator pointing just behind the last value to add.
query | The query sequence. The database sequence. Types: String, String
direction | Defines the direction in which the seed should be extended. 0 = left, 1 = right, 2 = both
scoreDropOff | The score drop after which the extension should stop. The extension stops if this value is exceeded.
scoreMatrix | The scoring sheme. Types: Simple Score
tag | The algorithm to use. Types: GappedXDrop, MatchExtend, UngappedXDrop

See Also
Seed Extension
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47